
/** 
	Send Array 
		 
	@param UserName String
	@param Password String
	@param RecipientNumber Send SMS to this numbers
	@param Message Text of your SMS
	@param SpecialNumber Your Special number ,send sms from this number
	@param IsFlash True/False
	@param CheckingMessageID Your local ID for message
	@return MessageID for each SMS
*/
public final long[] SendArray(String UserName, String Password, String[] RecipientNumber, String Message, String SpecialNumber, boolean IsFlash, long[] CheckingMessageID)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.SendArray(UserName, Password, RecipientNumber, Message, SpecialNumber, IsFlash, CheckingMessageID);
	}
    catch (RuntimeException ex){}
}

/** 
	Send Array Schedule
		 
	@param UserName String
	@param Password String
	@param RecipientNumber Send SMS to this numbers
	@param Message Text of your SMS
	@param SpecialNumber
	@param IsFlash True/False
	@param Year int
	@param Month int
	@param Day int
	@param Hour int
	@param Minute int
	@return MessageID
*/
public final long SendArraySchedule(String UserName, String Password, String[] RecipientNumber, String Message, String SpecialNumber, boolean IsFlash, int Year, int Month, int Day, int Hour, int Minute)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.SendArraySchedule(UserName, Password, RecipientNumber, Message, SpecialNumber, IsFlash, Year, Month, Day, Hour, Minute);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Message ID
		 
	@param UserName String
	@param Password String
	@param CheckingMessageID Your local ID for message
	@return MessageIDs
*/
public final long[] GetMessageID(String UserName, String Password, long[] CheckingMessageID)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetMessageID(UserName, Password, CheckingMessageID);
	}
    catch (RuntimeException ex){}
}


/** 
	Get Message Status
		 
	@param UserName String
	@param Password String
	@param MessageID long[] MessageIDs
	@return 
*/
public final long[] GetMessageStatus(String UserName, String Password, long[] MessageID)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetMessageStatus(UserName, Password, MessageID);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Number Group Data
		 
	@param UserName String
	@param Password String
	@return NumberGroupItem
*/
public final SOAP.NumberGroupItem[] GetNumberGroupData(String UserName, String Password)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetNumberGroupData(UserName, Password);
	}
    catch (RuntimeException ex){}
}

/** 
	Send To Group Number
		 
	@param UserName String
	@param Password String
	@param NumberGroupID long[] GroupIDs
	@param Message Text of your SMS
	@param SpecialNumber Your Special number ,send sms from this number
	@param IsFlash True/False
	@param DontSendToRepeatedNumber True/False
	@return SendID for Send To Group
*/
public final long SendNumberGroup(String UserName, String Password, long[] NumberGroupID, String Message, String SpecialNumber, boolean IsFlash, boolean DontSendToRepeatedNumber)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.SendNumberGroup(UserName, Password, NumberGroupID, Message, SpecialNumber, IsFlash, DontSendToRepeatedNumber);
	}
    catch (RuntimeException ex){}
}

/** 
	Send Number Group Schedule
		 
	@param UserName String
	@param Password String
	@param NumberGroupID long[] GroupIDs
	@param Message Text of your SMS
	@param SpecialNumber Your Special number ,send sms from this number
	@param IsFlash True/False
	@param DontSendToRepeatedNumber True/False
	@param Year int
	@param Month int
	@param Day int
	@param Hour int
	@param Minute int
	@return SendID for Send To Group
*/
public final long SendNumberGroupSchedule(String UserName, String Password, long[] NumberGroupID, String Message, String SpecialNumber, boolean IsFlash, boolean DontSendToRepeatedNumber, int Year, int Month, int Day, int Hour, int Minute)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.SendNumberGroupSchedule(UserName, Password, NumberGroupID, Message, SpecialNumber, IsFlash, DontSendToRepeatedNumber, Year, Month, Day, Hour, Minute);
	}
    catch (RuntimeException ex){}
}

/** 
	Insert Number To PhoneBook
		 
	@param UserName String
	@param Password String
	@param NumberGroupID long GroupID
	@param PersonNumber Array of String 
	@param PersonName Array of String 
	@return Array of long 
*/
public final long[] InsertNumberInNumberGroup(String UserName, String Password, long NumberGroupID, String[] PersonNumber, String[] PersonName)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.InsertNumberInNumberGroup(UserName, Password, NumberGroupID, PersonNumber, PersonName);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Inbox Message
		 
	@param UserName String
	@param Password String
	@param NumberOfMessage Int Number of message
	@return InboxItem
*/
public final SOAP.InboxItem[] GetInboxMessage(String UserName, String Password, int NumberOfMessage)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetInboxMessage(UserName, Password, NumberOfMessage);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Inbox Message With SpecialNumber
		 
	@param UserName String
	@param Password String
	@param NumberOfMessage Int Number of message
	@param SpecialNumber Your Special number ,send sms from this number
	@return InboxItem
*/
public final SOAP.InboxItem[] GetInboxMessageWithNumber(String UserName, String Password, int NumberOfMessage, String SpecialNumber)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetInboxMessageWithNumber(UserName, Password, NumberOfMessage, SpecialNumber);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Inbox Message With Last InboxID
		 
	@param UserName String
	@param Password String
	@param NumberOfMessage int
	@param InboxID int
	@param IsReaded True/False
	@return ResultInbox
*/
public final SOAP.ResultInbox GetInboxMessageWithInboxID(String UserName, String Password, int NumberOfMessage, int InboxID, boolean IsReaded)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetInboxMessageWithInboxID(UserName, Password, NumberOfMessage, InboxID, IsReaded);
	}
    catch (RuntimeException ex){}
}

/** 
	Get Account Credit
		 
	@param UserName String
	@param Password String
	@return long Credit
*/
public final long GetCredit(String UserName, String Password)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetCredit(UserName, Password);
	}
    catch (RuntimeException ex){}
}

/** 
	Get User Info
		 
	@param UserName String
	@param Password String
	@return ProfileInfo
*/
public final SOAP.ProfileInfo GetUserInfo(String UserName, String Password)
{
	try (SOAP.SMS SMSService = new SOAP.SMS())
	{
		return SMSService.GetUserInfo(UserName, Password);
	}
    catch (RuntimeException ex){}
}
